Package com.io7m.cardant.client.preferences.api

# Enum Class CAPreferencesDebuggingEnabled

java.lang.Object
java.lang.Enum<CAPreferencesDebuggingEnabled>
com.io7m.cardant.client.preferences.api.CAPreferencesDebuggingEnabled

All Implemented Interfaces:
  `Serializable`, `Comparable<CAPreferencesDebuggingEnabled>`, `Constable`

public enum CAPreferencesDebuggingEnabled extends Enum<CAPreferencesDebuggingEnabled>
A specification of whether or not debugging is enabled.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEBUGGING_DISABLED`
  Debugging is disabled.
  `DEBUGGING_ENABLED`
  Debugging is enabled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAPreferencesDebuggingEnabled`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAPreferencesDebuggingEnabled[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEBUGGING_ENABLED

    public static final CAPreferencesDebuggingEnabled DEBUGGING_ENABLED
    Debugging is enabled.

  - ### DEBUGGING_DISABLED

    public static final CAPreferencesDebuggingEnabled DEBUGGING_DISABLED
    Debugging is disabled.

- ## Method Details

  - ### values

    public static CAPreferencesDebuggingEnabled[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAPreferencesDebuggingEnabled valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null